Loading...
Searching...
No Matches
osim_file_desc Struct Reference

`#include <sim.h>`

## Data Fields

struct llist_head | list
| local element in list
struct llist_head | child_list
| list of children EF in DF
struct osim_file_desc * | parent
| parent DF
enum osim_file_type | type
| Type of the file (EF, DF, ...)
enum osim_ef_type | ef_type
| Type of the EF, if type == TYPE_EF.
uint16_t | fid
| File Identifier.
uint8_t | sfid
| Short File IDentifier.
const uint8_t * | df_name
uint8_t | df_name_len
const char * | short_name
| Short Name (like EF.ICCID)
const char * | long_name
| Long / description.
unsigned int | flags
struct osim_file_ops | ops
| Operations (parse/encode.
struct { |
size_t min |
| Minimum size of the file (transparent) or record in cyclic / linear file. More...
size_t rec |
| Recommended size. More...
} | size |

## Field Documentation

## child_list

struct llist_head osim_file_desc::child_list

list of children EF in DF

Referenced by add_df_with_ef(), add_filedesc(), alloc_df(), osim_file_desc_find_aid(), osim_file_desc_find_fid(), osim_file_desc_find_name(), and osim_file_desc_find_sfid().

## df_name

const uint8_t* osim_file_desc::df_name

Referenced by alloc_adf_with_ef(), and osim_file_desc_find_aid().

## df_name_len

uint8_t osim_file_desc::df_name_len

Referenced by alloc_adf_with_ef(), and osim_file_desc_find_aid().

## ef_type

enum osim_ef_type osim_file_desc::ef_type

Type of the EF, if type == TYPE_EF.

## fid

uint16_t osim_file_desc::fid

File Identifier.

Referenced by add_df_with_ef(), alloc_df(), and osim_file_desc_find_fid().

## flags

unsigned int osim_file_desc::flags

## list

struct llist_head osim_file_desc::list

local element in list

Referenced by add_df_with_ef(), add_filedesc(), osim_file_desc_find_aid(), osim_file_desc_find_fid(), osim_file_desc_find_name(), and osim_file_desc_find_sfid().

## long_name

const char* osim_file_desc::long_name

Long / description.

## min

size_t osim_file_desc::min

Minimum size of the file (transparent) or record in cyclic / linear file.

## ops

struct osim_file_ops osim_file_desc::ops

Operations (parse/encode.

Referenced by osim_file_decode().

## parent

struct osim_file_desc* osim_file_desc::parent

parent DF

Referenced by add_df_with_ef(), osim_file_desc_find_aid(), osim_file_desc_find_fid(), osim_file_desc_find_name(), and osim_file_desc_find_sfid().

## rec

size_t osim_file_desc::rec

Recommended size.

## sfid

uint8_t osim_file_desc::sfid

Short File IDentifier.

Referenced by osim_file_desc_find_sfid().

## short_name

const char* osim_file_desc::short_name

Short Name (like EF.ICCID)

Referenced by alloc_df(), and osim_file_desc_find_name().

## [struct]

struct { ... } osim_file_desc::size

## type

enum osim_file_type osim_file_desc::type

Type of the file (EF, DF, ...)

Referenced by alloc_adf_with_ef(), alloc_df(), and osim_file_desc_find_aid().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h